Bug 737618 - matahari upgrade fails to stop correct processes
Summary: matahari upgrade fails to stop correct processes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: matahari
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Adam Stokes
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-12 18:01 UTC by Dave Johnson
Modified: 2011-12-06 11:43 UTC (History)
2 users (show)

Fixed In Version: matahari-0.4.4-4.el6
Doc Type: Bug Fix
Doc Text:
No description required.
Clone Of:
Environment:
Last Closed: 2011-12-06 11:43:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1569 normal SHIPPED_LIVE matahari bug fix and enhancement update 2011-12-06 00:39:06 UTC

Description Dave Johnson 2011-09-12 18:01:54 UTC
Description of problem:
===========================
Run an upgrade on running v0.4.0 agents to v0.4.2-2 and you are left with multiple processes running.  The upgrade fails to stop the old host and service processes.  See below...


[root@hp-z800-01 init.d]# 
[root@hp-z800-01 init.d]# ps -ef | grep matahari
qpidd    14400     1  0 13:50 ?        00:00:00 /usr/sbin/matahari-brokerd --daemon --pid-dir /var/run/matahari --data-dir /var/lib/matahari --config /etc/matahari-broker.conf --port 49000
root     14445     1  0 13:50 ?        00:00:00 matahari-netd --broker 127.0.0.1 --port 49000 --daemon
root     14821     1  1 13:51 ?        00:00:00 matahari-hostd --broker 127.0.0.1 --port 49000 --daemon
root     14832     1  0 13:51 ?        00:00:00 matahari-serviced --broker 127.0.0.1 --port 49000 --daemon
root     14933  3504  0 13:51 pts/0    00:00:00 grep matahari
[root@hp-z800-01 init.d]# cd /root/matahari/
[root@hp-z800-01 matahari]# yum localinstall *rpm
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating Red Hat repositories.
Setting up Local Package Process
Examining matahari-0.4.4-2.el6.x86_64.rpm: matahari-0.4.4-2.el6.x86_64
Marking matahari-0.4.4-2.el6.x86_64.rpm as an update to matahari-0.4.0-5.el6.x86_64
Examining matahari-agent-lib-0.4.4-2.el6.x86_64.rpm: matahari-agent-lib-0.4.4-2.el6.x86_64
Marking matahari-agent-lib-0.4.4-2.el6.x86_64.rpm as an update to matahari-agent-lib-0.4.0-5.el6.x86_64
Examining matahari-broker-0.4.4-2.el6.x86_64.rpm: matahari-broker-0.4.4-2.el6.x86_64
Marking matahari-broker-0.4.4-2.el6.x86_64.rpm as an update to matahari-broker-0.4.0-5.el6.x86_64
Examining matahari-consoles-0.4.4-2.el6.x86_64.rpm: matahari-consoles-0.4.4-2.el6.x86_64
Marking matahari-consoles-0.4.4-2.el6.x86_64.rpm to be installed
Examining matahari-debuginfo-0.4.4-2.el6.x86_64.rpm: matahari-debuginfo-0.4.4-2.el6.x86_64
Marking matahari-debuginfo-0.4.4-2.el6.x86_64.rpm to be installed
Examining matahari-host-0.4.4-2.el6.x86_64.rpm: matahari-host-0.4.4-2.el6.x86_64
Marking matahari-host-0.4.4-2.el6.x86_64.rpm as an update to matahari-host-0.4.0-5.el6.x86_64
Examining matahari-lib-0.4.4-2.el6.x86_64.rpm: matahari-lib-0.4.4-2.el6.x86_64
Marking matahari-lib-0.4.4-2.el6.x86_64.rpm as an update to matahari-lib-0.4.0-5.el6.x86_64
Examining matahari-network-0.4.4-2.el6.x86_64.rpm: matahari-network-0.4.4-2.el6.x86_64
Marking matahari-network-0.4.4-2.el6.x86_64.rpm to be installed
Examining matahari-service-0.4.4-2.el6.x86_64.rpm: matahari-service-0.4.4-2.el6.x86_64
Marking matahari-service-0.4.4-2.el6.x86_64.rpm as an update to matahari-service-0.4.0-5.el6.x86_64
Examining matahari-sysconfig-0.4.4-2.el6.x86_64.rpm: matahari-sysconfig-0.4.4-2.el6.x86_64
Marking matahari-sysconfig-0.4.4-2.el6.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package matahari.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari.x86_64 0:0.4.4-2.el6 will be an update
---> Package matahari-agent-lib.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-agent-lib.x86_64 0:0.4.4-2.el6 will be an update
---> Package matahari-broker.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-broker.x86_64 0:0.4.4-2.el6 will be an update
---> Package matahari-consoles.x86_64 0:0.4.4-2.el6 will be installed
---> Package matahari-debuginfo.x86_64 0:0.4.4-2.el6 will be installed
---> Package matahari-host.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-host.x86_64 0:0.4.4-2.el6 will be an update
---> Package matahari-lib.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-lib.x86_64 0:0.4.4-2.el6 will be an update
---> Package matahari-net.x86_64 0:0.4.0-5.el6 will be obsoleted
---> Package matahari-network.x86_64 0:0.4.4-2.el6 will be obsoleting
---> Package matahari-service.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-service.x86_64 0:0.4.4-2.el6 will be an update
---> Package matahari-sysconfig.x86_64 0:0.4.4-2.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================
 Package                                          Arch                                 Version                                      Repository                                                            Size
===============================================================================================================================================================================================================
Installing:
 matahari-consoles                                x86_64                               0.4.4-2.el6                                  /matahari-consoles-0.4.4-2.el6.x86_64                                 79 k
 matahari-debuginfo                               x86_64                               0.4.4-2.el6                                  /matahari-debuginfo-0.4.4-2.el6.x86_64                               5.5 M
 matahari-network                                 x86_64                               0.4.4-2.el6                                  /matahari-network-0.4.4-2.el6.x86_64                                  71 k
     replacing  matahari-net.x86_64 0.4.0-5.el6
     replacing  matahari-net.x86_64 0.4.0-5.el6
 matahari-sysconfig                               x86_64                               0.4.4-2.el6                                  /matahari-sysconfig-0.4.4-2.el6.x86_64                                52 k
Updating:
 matahari                                         x86_64                               0.4.4-2.el6                                  /matahari-0.4.4-2.el6.x86_64                                          18 k
 matahari-agent-lib                               x86_64                               0.4.4-2.el6                                  /matahari-agent-lib-0.4.4-2.el6.x86_64                                81 k
 matahari-broker                                  x86_64                               0.4.4-2.el6                                  /matahari-broker-0.4.4-2.el6.x86_64                                   31 k
 matahari-host                                    x86_64                               0.4.4-2.el6                                  /matahari-host-0.4.4-2.el6.x86_64                                    102 k
 matahari-lib                                     x86_64                               0.4.4-2.el6                                  /matahari-lib-0.4.4-2.el6.x86_64                                      93 k
 matahari-service                                 x86_64                               0.4.4-2.el6                                  /matahari-service-0.4.4-2.el6.x86_64                                 125 k

Transaction Summary
===============================================================================================================================================================================================================
Install       4 Package(s)
Upgrade       6 Package(s)

Total size: 6.2 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : matahari-lib-0.4.4-2.el6.x86_64                                                                                                                                                            1/17 
  Updating   : matahari-agent-lib-0.4.4-2.el6.x86_64                                                                                                                                                      2/17 
  Updating   : matahari-host-0.4.4-2.el6.x86_64                                                                                                                                                           3/17 
Stopping the matahari-host daemon: [FAILED]
Starting the matahari-host daemon: [  OK  ]
  Installing : matahari-network-0.4.4-2.el6.x86_64                                                                                                                                                        4/17 
  Updating   : matahari-service-0.4.4-2.el6.x86_64                                                                                                                                                        5/17 
Stopping the matahari-service daemon: [FAILED]
Starting the matahari-service daemon: [  OK  ]
  Installing : matahari-sysconfig-0.4.4-2.el6.x86_64                                                                                                                                                      6/17 
  Updating   : matahari-broker-0.4.4-2.el6.x86_64                                                                                                                                                         7/17 
Stopping Matahari broker daemon: [  OK  ]
Starting Matahari broker daemon: [  OK  ]
  Updating   : matahari-0.4.4-2.el6.x86_64                                                                                                                                                                8/17 
  Installing : matahari-consoles-0.4.4-2.el6.x86_64                                                                                                                                                       9/17 
  Installing : matahari-debuginfo-0.4.4-2.el6.x86_64                                                                                                                                                     10/17 
  Cleanup    : matahari-broker-0.4.0-5.el6.x86_64                                                                                                                                                        11/17 
  Cleanup    : matahari-0.4.0-5.el6.x86_64                                                                                                                                                               12/17 
  Cleanup    : matahari-service-0.4.0-5.el6.x86_64                                                                                                                                                       13/17 
  Cleanup    : matahari-host-0.4.0-5.el6.x86_64                                                                                                                                                          14/17 
  Erasing    : matahari-net-0.4.0-5.el6.x86_64                                                                                                                                                           15/17 
  Cleanup    : matahari-agent-lib-0.4.0-5.el6.x86_64                                                                                                                                                     16/17 
  Cleanup    : matahari-lib-0.4.0-5.el6.x86_64                                                                                                                                                           17/17 
duration: 81(ms)
Installed products updated.

Installed:
  matahari-consoles.x86_64 0:0.4.4-2.el6             matahari-debuginfo.x86_64 0:0.4.4-2.el6             matahari-network.x86_64 0:0.4.4-2.el6             matahari-sysconfig.x86_64 0:0.4.4-2.el6            

Updated:
  matahari.x86_64 0:0.4.4-2.el6             matahari-agent-lib.x86_64 0:0.4.4-2.el6     matahari-broker.x86_64 0:0.4.4-2.el6     matahari-host.x86_64 0:0.4.4-2.el6     matahari-lib.x86_64 0:0.4.4-2.el6    
  matahari-service.x86_64 0:0.4.4-2.el6    

Replaced:
  matahari-net.x86_64 0:0.4.0-5.el6                                                                                                                                                                            

Complete!
[root@hp-z800-01 matahari]# ps -ef | grep matahari
root     14821     1  1 13:51 ?        00:00:00 matahari-hostd --broker 127.0.0.1 --port 49000 --daemon
root     14832     1  0 13:51 ?        00:00:00 matahari-serviced --broker 127.0.0.1 --port 49000 --daemon
qpidd    15452     1  0 13:51 ?        00:00:00 /usr/sbin/matahari-brokerd --port=49000 --data-dir=/var/lib/matahari --pid-dir /var/run/matahari --config /etc/matahari-broker.conf --daemon
root     15513     1  0 13:51 ?        00:00:00 matahari-qmf-serviced --broker 127.0.0.1 --reconnect=yes --daemon
root     15535     1  1 13:51 ?        00:00:00 matahari-qmf-hostd --broker 127.0.0.1 --reconnect=yes --daemon
root     16116  3504  0 13:52 pts/0    00:00:00 grep matahari
[root@hp-z800-01 matahari]#

Comment 2 Adam Stokes 2011-09-15 18:26:21 UTC
Dave,

Could you try with the latest 0.4.4 build? This has fixes in it that pertain to both systemd/sysv.

Thanks,
Adam

Comment 5 Dave Johnson 2011-09-28 13:36:10 UTC
This looks good now...


=====================================================================================================================================================================================================
 Package                                        Arch                               Version                                  Repository                                                          Size
=====================================================================================================================================================================================================
Installing:
 matahari-consoles                              x86_64                             0.4.4-6.el6                              /matahari-consoles-0.4.4-6.el6.x86_64                               79 k
 matahari-debuginfo                             x86_64                             0.4.4-6.el6                              /matahari-debuginfo-0.4.4-6.el6.x86_64                             5.6 M
 matahari-network                               x86_64                             0.4.4-6.el6                              /matahari-network-0.4.4-6.el6.x86_64                                71 k
     replacing  matahari-net.x86_64 0.4.0-5.el6
     replacing  matahari-net.x86_64 0.4.0-5.el6
 matahari-sysconfig                             x86_64                             0.4.4-6.el6                              /matahari-sysconfig-0.4.4-6.el6.x86_64                              54 k
Updating:
 matahari                                       x86_64                             0.4.4-6.el6                              /matahari-0.4.4-6.el6.x86_64                                        18 k
 matahari-agent-lib                             x86_64                             0.4.4-6.el6                              /matahari-agent-lib-0.4.4-6.el6.x86_64                              81 k
 matahari-broker                                x86_64                             0.4.4-6.el6                              /matahari-broker-0.4.4-6.el6.x86_64                                 32 k
 matahari-host                                  x86_64                             0.4.4-6.el6                              /matahari-host-0.4.4-6.el6.x86_64                                  102 k
 matahari-lib                                   x86_64                             0.4.4-6.el6                              /matahari-lib-0.4.4-6.el6.x86_64                                    98 k
 matahari-service                               x86_64                             0.4.4-6.el6                              /matahari-service-0.4.4-6.el6.x86_64                               125 k

Transaction Summary
=====================================================================================================================================================================================================
Install       4 Package(s)
Upgrade       6 Package(s)

Total size: 6.2 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : matahari-lib-0.4.4-6.el6.x86_64                                                                                                                                                  1/17 
  Updating   : matahari-agent-lib-0.4.4-6.el6.x86_64                                                                                                                                            2/17 
  Installing : matahari-sysconfig-0.4.4-6.el6.x86_64                                                                                                                                            3/17 
  Updating   : matahari-host-0.4.4-6.el6.x86_64                                                                                                                                                 4/17 
Stopping the matahari-host daemon: [  OK  ]
Starting the matahari-host daemon: [  OK  ]
  Installing : matahari-network-0.4.4-6.el6.x86_64                                                                                                                                              5/17 
  Updating   : matahari-broker-0.4.4-6.el6.x86_64                                                                                                                                               6/17 
Stopping Matahari broker daemon: [  OK  ]
Starting Matahari broker daemon: [  OK  ]
  Updating   : matahari-service-0.4.4-6.el6.x86_64                                                                                                                                              7/17 
Stopping the matahari-service daemon: [  OK  ]
Starting the matahari-service daemon: [  OK  ]
  Updating   : matahari-0.4.4-6.el6.x86_64                                                                                                                                                      8/17 
  Installing : matahari-consoles-0.4.4-6.el6.x86_64                                                                                                                                             9/17 
  Installing : matahari-debuginfo-0.4.4-6.el6.x86_64                                                                                                                                           10/17 
  Cleanup    : matahari-broker-0.4.0-5.el6.x86_64                                                                                                                                              11/17 
  Cleanup    : matahari-0.4.0-5.el6.x86_64                                                                                                                                                     12/17 
  Cleanup    : matahari-service-0.4.0-5.el6.x86_64                                                                                                                                             13/17 
  Cleanup    : matahari-host-0.4.0-5.el6.x86_64                                                                                                                                                14/17 
  Erasing    : matahari-net-0.4.0-5.el6.x86_64                                                                                                                                                 15/17 
  Cleanup    : matahari-agent-lib-0.4.0-5.el6.x86_64                                                                                                                                           16/17 
  Cleanup    : matahari-lib-0.4.0-5.el6.x86_64                                                                                                                                                 17/17 
beaker-Server/productid                                                                                                                                                       | 1.7 kB     00:00     
http://lab2.rhts.eng.bos.redhat.com/distros/vol/engineering/devarchive/redhat/rel-eng/RHEL6.1-20110510.1/6/Server/x86_64/os/Server/repodata/productid.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
duration: 142(ms)
Installed products updated.

Installed:
  matahari-consoles.x86_64 0:0.4.4-6.el6          matahari-debuginfo.x86_64 0:0.4.4-6.el6          matahari-network.x86_64 0:0.4.4-6.el6          matahari-sysconfig.x86_64 0:0.4.4-6.el6         

Updated:
  matahari.x86_64 0:0.4.4-6.el6           matahari-agent-lib.x86_64 0:0.4.4-6.el6   matahari-broker.x86_64 0:0.4.4-6.el6   matahari-host.x86_64 0:0.4.4-6.el6   matahari-lib.x86_64 0:0.4.4-6.el6  
  matahari-service.x86_64 0:0.4.4-6.el6  

Replaced:
  matahari-net.x86_64 0:0.4.0-5.el6                                                                                                                                                                  

Complete!

Comment 6 Russell Bryant 2011-11-16 22:26:35 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No description required.

Comment 7 errata-xmlrpc 2011-12-06 11:43:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1569.html


Note You need to log in before you can comment on or make changes to this bug.